Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000889Frama-CPlug-in > Evapublic2011-07-25 13:562014-02-12 16:59
Reportermonate 
Assigned Topascal 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000889: File "src/memory_state/lmap.ml", line 931, characters 22-28: Assertion failed
Descriptionframa-c /usr/local/share/frama-c/libc/fc_runtime.c main.i protocol.i util.i -val -quiet

crashes the value analysis.
TagsNo tags attached.
Attached Files? file icon main.i [^] (161,578 bytes) 2011-07-25 13:56 [Show Content]
? file icon util.i [^] (166,885 bytes) 2011-07-25 13:56 [Show Content]
? file icon protocol.i [^] (171,041 bytes) 2011-07-25 13:56 [Show Content]

- Relationships

-  Notes
(0004759)
pascal (reporter)
2014-02-12 16:59

Fix committed to stable/neon branch.

- Issue History
Date Modified Username Field Change
2011-07-25 13:56 monate New Issue
2011-07-25 13:56 monate Status new => assigned
2011-07-25 13:56 monate Assigned To => pascal
2011-07-25 13:56 monate File Added: main.i
2011-07-25 13:56 monate File Added: util.i
2011-07-25 13:56 monate File Added: protocol.i
2011-07-28 19:05 svn Checkin
2011-07-28 19:05 svn Status assigned => resolved
2011-07-28 19:05 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2014-02-12 16:59 pascal Note Added: 0004759
2014-02-12 16:59 pascal Status closed => resolved
2018-01-12 14:26 signoles Category Plug-in > value analysis => Plug-in > Eva


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker